package de.intevation.flys.model;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;

import org.apache.log4j.Logger;


@Entity
@Table(name = "bed_height_type")
public class BedHeightType
implements   Serializable
{
    private static Logger log = Logger.getLogger(BedHeightType.class);

    private Integer id;
    private String  name;
    private String  description;


    public BedHeightType() {
    }

    public BedHeightType(String name, String description) {
        this.name        = name;
        this.description = description;
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_BED_HEIGHT_TYPE_ID_SEQ",
        sequenceName   = "BED_HEIGHT_TYPE_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_BED_HEIGHT_TYPE_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "description")
    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


    public static String getBedHeightName(String description) {
        if (description.equals("Flächenpeilung")) {
            return "FP";
        }
        else if ("Querprofile".equals(description)) {
            return "QP";
        }
        else if ("TIN".equals(description)) {
            return "TIN";
        }
        else if ("Flächen- u. Querprofilpeilungen".equals(description)) {
            return "FP-QP";
        }
        else {
            log.warn("Unknown bed height type: " + description);
            return null;
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
